- Qt 6.7
- Qt Quick
- C++ Classes
- QSGTextureProvider
- Qt 6.7.1 Reference Documentation

# QSGTextureProvider Class

The QSGTextureProvider class encapsulates texture based entities in QML. More...

Header: | #include <QSGTextureProvider>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Quick) target_link_libraries(mytarget PRIVATE Qt6::Quick)
qmake: | QT += quick
Inherits: | QObject

- List of all members, including inherited members

## Public Functions

virtual QSGTexture * | texture() const = 0

## Signals

void | textureChanged()

## Detailed Description

The QSGTextureProvider lives primarily in the scene graph rendering thread.

See also Scene Graph - Two Texture Providers.

## Member Function Documentation

### `[pure virtual]` QSGTexture *QSGTextureProvider::texture() const

Returns a pointer to the texture object.

### `[signal]` void QSGTextureProvider::textureChanged()

This signal is emitted when the texture changes.